Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
HeapStats Properties
HeapStats Class See Also Send Feedback

The HeapStats type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| MagicNumber | Magic number that identifies the file as a Heap file.
| MetadataFlags | Reports internal flags. For internal use only.
| nPages | The number of pages in the database.
| nRecords | Reports the number of records in the Heap database.
| nRegions | The number of regions in the Heap database.
| PageSize | The underlying database page (and bucket) size, in bytes.
| RegionSize | The region size of the Heap database.
| Version | The version of the Heap database.

# See Also

HeapStats Class
BerkeleyDB Namespace